<!DOCTYPE html>

<html>

<head>

  <% include ../partials/head %>
  <%include ../partials/navbar %>
  <%include ../partials/header %>

  <title> Commandes </title>

</head>

<body>
  <br><br><br><br>
    <div class="container padding-top-10">
        <div class="panel panel-default"  style="width:1425px; margin-left: -150px;">
            <div class="panel-heading"> <h3><u><b> Commandes </b></u></h3> </div>
            <div class="panel-body">

              <nav class="navbar">
                <div class="container-fluid">

                  <ul class="nav navbar-nav date-select">
                    <li><a class="non-link"><label for="from" > Depuis: </label></a></li>
                  </ul>
                  <form class="navbar-form navbar-left date-select">
                    <div class="input-group">
                      <select class="form-control" id="from_date_select" onchange="submitLogConstraints()">
                        <option value=""> Toujours </option>
                        <option value=<%= (24 * 60 * 60 * 1000).toString() %> <%= (presetParams.from_time == (24 * 60 * 60 * 1000).toString() ) ? "selected" : "" %>> Aujourd'hui </option>
                        <option value=<%= (24 * 60 * 60 * 1000 * 2).toString() %> <%= (presetParams.from_time == (24 * 60 * 60 * 1000 * 2).toString() ) ? "selected" : "" %>> Hier </option>
                        <option value=<%=  (24 * 60 * 60 * 1000 * 3).toString() %> <%= (presetParams.from_time == (24 * 60 * 60 * 1000 * 3).toString() ) ? "selected" : "" %>> 3 derniers jours </option>
                        <option value=<%=  (24 * 60 * 60 * 1000 * 7).toString() %> <%= (presetParams.from_time == (24 * 60 * 60 * 1000 * 7).toString() ) ? "selected" : "" %>> Dernière semaine </option>
                        <option value=<%=  (24 * 60 * 60 * 1000 * 31).toString() %> <%= (presetParams.from_time == (24 * 60 * 60 * 1000 * 31).toString() ) ? "selected" : "" %>> Dernier mois </option>
                      </select>
                    </div>
                  </form>
                  <form class="navbar-form navbar-left date-select">
                    <a class="btn btn-default" data-toggle="tooltip" title="Trier par dates" onclick="toggleElements('date-select', 'date-calendar')"><span class="glyphicon glyphicon-calendar"></span></a>
                  </form>

                  <ul class="nav navbar-nav date-calendar">
                    <li><a class="non-link"><label for="from" > De: </label></a></li>
                  </ul>
                  <form class="navbar-form navbar-left date-calendar">
                    <div class="input-group">
                      <input type="datetime-local" class="form-control" id="from_date_calendar">
                    </div>
                  </form>
                  <ul class="nav navbar-nav date-calendar">
                    <li><a class="non-link"><label for="until_calendar" > À: </label></a></li>
                  </ul>
                  <form class="navbar-form navbar-left date-calendar">
                    <div class="input-group">
                      <input type="datetime-local" class="form-control" id="until_date_calendar">
                    </div>
                  </form>
                  <form class="navbar-form navbar-left date-calendar">
                    <a class="btn btn-default" data-toggle="tooltip" title="Lancer la recherche" onclick="submitLogConstraints()"><i class="glyphicon glyphicon-search"></i></a>
                  </form>
                  <form class="navbar-form navbar-left date-calendar" >
                    <a class="btn btn-default" data-toggle="tooltip" title="Retour au menu normal" onclick="toggleElements('date-calendar', 'date-select')"><span class="glyphicon glyphicon-chevron-left"></span></a>
                  </form>
                  <ul class="nav navbar-nav">
                    <li><a class="non-link"><label for="from" > Organiser par: </label></a></li>
                  </ul>
                  <form class="navbar-form navbar-left">
                    <div class="input-group">
                      <select class="form-control" id="order_select" onchange="submitLogConstraints()">
                        <option value="log_id" <%= (presetParams.order == "log_id" ) ? "selected" : "" %>> ID </option>
                        <option value="timestamp" <%= (presetParams.order == "timestamp" ) ? "selected" : "" %>> Date d'émission </option>
                        <option value="senderUser_id" <%= (presetParams.order == "senderUser_id" ) ? "selected" : "" %>> ID de l'envoyeur </option>
                        <option value="senderUser_username" <%= (presetParams.order == "senderUser_username" ) ? "selected" : "" %>> Nom de l'envoyeur </option>
                      </select>
                    </div>
                  </form>
                  <form class="navbar-form navbar-right">
                    <div class="input-group">
                      <input type="text" class="form-control" id="searchBar" placeholder="Rechercher" value="<%= presetParams.filter %>">
                      <div class="input-group-btn">
                        <button type="button" class="btn btn-default" onclick="submitLogConstraints()">
                          <span class="glyphicon glyphicon-search"></span>
                        </button>
                      </div>
                    </div>
                  </form>
                </div>
              </nav>

              <table class="table" id="logTable">
                <thead>
                  <th> ID </th>
                  <th> Date d'émission </th>
                  <th> ID de l'envoyeur </th>
                  <th> Nom de l'envoyeur </th>
                  <th> Message </th>
                </tr>
              </thead>
                <tbody class="list">
            <% for(var i = 0; i < commands.length; i++) { %>
                <tr>
                  <td> <%= commands[i].log_id %> </td>
                  <td> <%= commands[i].timestamp %> </td>
                  <td> <%= commands[i].senderUser_id %> </td>
                  <td> <%= commands[i].senderUser_username %> </td>
                  <td> <%= commands[i].message %> </td>
                </tr>
            <% } %>
              </tbody>
              </table>

              <div id="pages" class="pagination"></div>

              <form action="/commands" id="constraintsForm" method="post">
                <input type="text" name="dateMode_save" id="dateMode_save_id" class="invisible-input" value=<%= savedDateMode.toString() %>>
                <input type="text" name="until_time" id="until_time_id" class="invisible-input">
                <input type="text" name="from_time" id="from_time_id" class="invisible-input">
                <input type="text" name="filter" id="filter" class="invisible-input">
                <input type="text" name="order" id="order" class="invisible-input">
              </form>
            </div>
        </div>
    </div>

    <% include ../partials/footer %>
    <%include ../partials/parsers %>
    <% include ../partials/libs %>
    <% include ../partials/alarm_popup %>
    <script src="/public/scripts/js/script_commands.js"></script>
</body>

</html>
